/* .rexx                                                        */

OPTIONS RESULTS                             /* enable return codes      */

OPTIONS FAILAT 6                            /* ignore warnings          */
SIGNAL ON SYNTAX                            /* ensure clean exit        */
SIGNAL ON FAILURE                           /* trap Heddley errors      */


EXIT                                        /* quit this macro          */

SYNTAX:                                     /* ARexx error...           */

SAY "Sorry, error line" SIGL ":" ERRORTEXT(RC) /* report it...          */
EXIT                                        /* exit                     */

FAILURE:                                    /* Heddley error...         */
ERRV=address().LASTERROR                    /* get name of error var.   */
SAY "Error:" VALUE(ERRV)                    /* report the error         */
EXIT                                        /* exit                     */
