/* .rexx                                                        */

OPTIONS RESULTS                             /* enable return codes      */

if (LEFT(ADDRESS(), 6) ~= "GOLDED") then    /* not started by GoldEd ?  */
    address 'GOLDED.1'

'LOCK CURRENT'                              /* lock GUI, gain access    */
OPTIONS FAILAT 6                            /* ignore warnings          */
SIGNAL ON SYNTAX                            /* ensure clean exit        */
SIGNAL ON FAILURE                           /* trap Heddley errors      */


'UNLOCK'                                  /* VERY important: unlock GUI */
EXIT                                        /* quit this macro          */

SYNTAX:                                     /* ARexx error...           */

SAY "Sorry, error line" SIGL ":" ERRORTEXT(RC) /* report it...          */
UNLOCK                                      /* unlock GUI               */
EXIT                                        /* exit                     */

FAILURE:                                    /* Heddley error...         */
ERRV=address().LASTERROR                    /* get name of error var.   */
SAY "Error:" VALUE(ERRV)                    /* report the error         */
ADDRESS GOLDED.1                            /* talk to GoldED           */
UNLOCK                                      /* unlock GUI               */
EXIT                                        /* exit                     */
